Skip to main content
GET
/
api
/
v2
/
insights
/
advanced
/
filter_options
Error
A valid request URL is required to generate request examples
{
  "projects": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "sites": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "machines": [
    {}
  ],
  "operators": [
    {}
  ],
  "pedestrians": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

JWT token

Query Parameters

startDate
string<date-time>

Start date for the data in ISO 8601 format

endDate
string<date-time>

End date for the data in ISO 8601 format

existingFilters
object

Already applied filters (JSON object)

Response

200 - application/json

Return available filter options

projects
object[]
sites
object[]
machines
object[]
operators
object[]
pedestrians
object[]